import { hasDependency } from '../../util/plugin.js';
import { toProductionEntryPattern } from '../../util/protocols.js';
const NAME = 'Vercel OG';
const ENABLERS = ['next', '@vercel/og'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const PRODUCTION_ENTRY_FILE_PATTERNS = [
    '{src/,}pages/api/og.{jsx,tsx}',
    '{src/,}app/api/og/route.{jsx,tsx}',
];
const findDependencies = async (configFilePath, options) => {
    const { config } = options;
    return config.entry
        ? config.entry.map(toProductionEntryPattern)
        : PRODUCTION_ENTRY_FILE_PATTERNS.map(toProductionEntryPattern);
};
export default {
    NAME,
    ENABLERS,
    isEnabled,
    PRODUCTION_ENTRY_FILE_PATTERNS,
    findDependencies,
};
