import { timerify } from '../../util/Performance.js';
import { getDependenciesFromScripts, hasDependency } from '../../util/plugin.js';
const NAME = 'yorkie';
const ENABLERS = ['yorkie'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
const PACKAGE_JSON_PATH = 'gitHooks';
const CONFIG_FILE_PATTERNS = ['package.json'];
const findPluginDependencies = async (configFilePath, options) => {
    const { manifest, isProduction } = options;
    if (isProduction)
        return [];
    const localConfig = manifest[PACKAGE_JSON_PATH];
    if (!localConfig)
        return [];
    const dependencies = new Set();
    for (const script of Object.values(localConfig).flat()) {
        const scripts = [script].flat();
        getDependenciesFromScripts(scripts, options).forEach(identifier => dependencies.add(identifier));
    }
    return ['yorkie', ...dependencies];
};
const findDependencies = timerify(findPluginDependencies);
export default {
    NAME,
    ENABLERS,
    isEnabled,
    PACKAGE_JSON_PATH,
    CONFIG_FILE_PATTERNS,
    findDependencies,
};
